| Qore ServerSentEventClient Module Reference 1.0

Loading...
Searching...
No Matches
Classes | Variables
ServerSentEventClient Namespace Reference

the ServerSentEventClient namespace contains all the definitions in the ServerSentEventClient module More...

## Classes
class | ServerSentEventClient
| the main sse client class More...
class | ServerSentEventClientDataProvider
| Event-based data provider for ServerSentEvent messaging. More...
class | ServerSentEventClientDataProviderBase
| Event-based data provider for ServerSentEvent client-side events. More...
class | ServerSentEventClientDataProviderFactory
| The ServerSentEvent data provider factory. More...
class | ServerSentEventClientEventDataType
| ServerSentEvent event data description. More...
class | ServerSentEventClientWaitForMessageDataProvider
| ServerSentEvent client wait for message from server API data provider. More...
class | ServerSentEventClientWaitForMessageRequestDataType
| Data type for wait for message requests. More...

## Variables
const | AppName = "ServerSentEvents"
| Application name.
const | EVENT_SSE_CLOSED = "sse-closed-event"
| ServerSentEvent connection closed event constant.
const | EVENT_SSE_CONNECTED = "sse-connected-event"
| ServerSentEvent connected event type.
const | EVENT_SSE_DATA = "sse-data-event"
| ServerSentEvent data event constant.
const | ServerSentEventClientEventDataType = new ServerSentEventClientEventDataType()
| ServerSentEvent event data type constant.
const | ServerSentEventClientWaitForMessageRequestDataType
| Data type for wait for message requests.
const | ServerSentEventsLogo = File::readTextFile(get_script_dir() + "/sse-generic-logo.svg")
| Logo for the ServerSentEvents app.
const | SseDefaultPort = 80
| default port for connections
const | SseSchemes = ...
| SSE connection schemes.

## Detailed Description

the ServerSentEventClient namespace contains all the definitions in the ServerSentEventClient module

the ServerSentEventClient namespace contains all the objects in the ServerSentEventClient module

## Variable Documentation

## ◆ EVENT_SSE_CLOSED

const ServerSentEventClient::EVENT_SSE_CLOSED = "sse-closed-event"

ServerSentEvent connection closed event constant.

This event has no data

## ◆ EVENT_SSE_CONNECTED

const ServerSentEventClient::EVENT_SSE_CONNECTED = "sse-connected-event"

ServerSentEvent connected event type.

This event has no data

## ◆ EVENT_SSE_DATA

const ServerSentEventClient::EVENT_SSE_DATA = "sse-data-event"

ServerSentEvent data event constant.

The event data has the following key:

- `data:` the message data